function issmprintf(flag,format,varargin)
%ISSMPRINTF -  display string in solution sequences. wrapper to disp and sprintf.  
%
%   Usage:
%      issmprintf(flag,format,string)
%      flag can be used to switch display on and off
%
%   Example:
%      issmprintf(1,'%s\n','string to display');

if flag,
	disp(sprintf(format,varargin{:}));
end
